AOWP_PHPDeclareStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPDeclareStatementElement
/parser/ast/PHPDeclareStatementElement.class.php at line 6

# Class AOWP_PHPDeclareStatementElement

    AOWP_PHPElement
        └─AOWP_PHPStatementContainerElement
           └─AOWP_PHPDeclareStatementElement

public class AOWP_PHPDeclareStatementElement
extends AOWP_PHPStatementContainerElement

PHPのASTにおける「declare」を表すクラス。 * 文法規則: unticked_statement。

Author:
  Ryoto Naruse *

Field Summary
mixed | $declares

Fields inherited from aowp.parser.ast.util.AOWP_PHPStatementContainerElement
statements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPDeclareStatementElement(mixed _line, mixed declares, mixed statements)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPStatementContainerElement
insertElement, insertElementArray, removeElement, replaceElement, searchElementIndex, setElement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPDeclareStatementElement.class.php at line 7

### declares

`public mixed $declares`

## Constructor Detail

/parser/ast/PHPDeclareStatementElement.class.php at line 8

### AOWP_PHPDeclareStatementElement

`public AOWP_PHPDeclareStatementElement(mixed _line, mixed declares, mixed statements)`

## Method Detail

/parser/ast/PHPDeclareStatementElement.class.php at line 13

### __toString

`public void __toString()`

/parser/ast/PHPDeclareStatementElement.class.php at line 17

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr